Package com.documentum.fc.client.search

# Interface IDfValueListAttrExpression

All Superinterfaces:
  `IDfAttrExpression`, `IDfExpression`

public interface IDfValueListAttrExpression extends IDfAttrExpression
Defines a search expression that requires the attribute value to be included in a list of values.

See Also:
  - `IDfQueryBuilder.getRootExpressionSet()`
  - `IDfExpressionSet.addValueListAttrExpression(String, int, int, boolean, boolean)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SEARCH_OP_IN`
  Search operation code: included in.
  `static final int`
  `SEARCH_OP_NOT_IN`
  Search operation code: not included in.

  ### Fields inherited from interface com.documentum.fc.client.search.IDfAttrExpression

  `SEARCH_OP_UNDEFINED`

  ### Fields inherited from interface com.documentum.fc.client.search.IDfExpression

  `DATE_FORMAT_DEFAULT, EXPR_TYPE_FULLTEXT, EXPR_TYPE_MLT, EXPR_TYPE_RELATIVE_DATE, EXPR_TYPE_SET, EXPR_TYPE_SIMPLE_ATTR, EXPR_TYPE_UNDEFINED, EXPR_TYPE_VALUE_LIST_ATTR, EXPR_TYPE_VALUE_RANGE_ATTR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValue(String value)`
  Adds a value to the list.
  `void`
  `addValueList(IDfList valueList)`
  Adds a set of values to the list.
  `int`
  `getValueCount()`
  Gets the number of possible values.
  `IDfEnumeration`
  `getValues()`
  Gets all the possible values.

  ### Methods inherited from interface com.documentum.fc.client.search.IDfAttrExpression

  `getAttrName, getSearchOperation, getSearchOperationCode, getValueDataType, isCaseSensitive, isRepeated`

  ### Methods inherited from interface com.documentum.fc.client.search.IDfExpression

  `acceptVisitor, getDateFormat, getExpressionType, setDateFormat`

- ## Field Details

  - ### SEARCH_OP_IN

    static final int SEARCH_OP_IN
    Search operation code: included in.
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_NOT_IN

    static final int SEARCH_OP_NOT_IN
    Search operation code: not included in.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getValueCount

    int getValueCount()
    Gets the number of possible values.
    Returns:
      The size of the value list.

  - ### getValues

    IDfEnumeration getValues()
    Gets all the possible values.
    Returns:
      The list of values (IDfEnumeration of String).

  - ### addValue

    void addValue(String value)
    Adds a value to the list.
    Parameters:
      `value` - The value to add.

  - ### addValueList

    void addValueList(IDfList valueList)
    Adds a set of values to the list.
    Parameters:
      `valueList` - The set of values to add (IDfList of String).